using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Domain
{
    public class HostFaults
    {
        /// <summary>
        /// ID
        /// </summary>
        public virtual int ID
        {
            get;
            set;
        }
        /// <summary>
        /// HostID
        /// </summary>
        public virtual int HostID
        {
            get;
            set;
        }
        /// <summary>
        /// 485设备地址
        /// </summary>
        public virtual string Address
        {
            get;
            set;
        }
        /// <summary>
        /// 异常状态：1离线，0在线
        /// </summary>
        public virtual int AbnormalStatus
        {
            get;
            set;
        }
        /// <summary>
        /// 异常状态日期
        /// </summary>
        public virtual DateTime StatusDate
        {
            get;
            set;
        }
        /// <summary>
        /// 异常电量：0~100
        /// </summary>
        public virtual int AbnormalElectricQty
        {
            get;
            set;
        }
        /// <summary>
        /// 异常电量日期
        /// </summary>
        public virtual DateTime ElectricQtyDate
        {
            get;
            set;
        }
        /// <summary>
        /// 异常3：电流
        /// </summary>
        public virtual int Abnormal3
        {
            get;
            set;
        }
        /// <summary>
        /// 异常3产生日期
        /// </summary>
        public virtual DateTime Abnormal3Date
        {
            get;
            set;
        }
        /// <summary>
        /// 异常4：1901故障检测次数
        /// </summary>
        public virtual int Abnormal4
        {
            get;
            set;
        }
        /// <summary>
        /// 异常4产生日期
        /// </summary>
        public virtual DateTime Abnormal4Date
        {
            get;
            set;
        }
        /// <summary>
        /// 设备单个回路状态：0正常，1损坏
        /// </summary>
        public virtual int Abnormal5
        {
            get;
            set;
        }
        /// <summary>
        /// 设备单个回路状态产生日期
        /// </summary>
        public virtual DateTime Abnormal5Date
        {
            get;
            set;
        }
    }
}
